Subject: Linux-Misc Digest #817
From: Digestifier <[email-masked]>
To: [email-masked]
Date: Sat, 24 Sep 94 23:13:17 EDT

Linux-Misc Digest #817, Volume #2                Sat, 24 Sep 94 23:13:17 EDT

Contents:
  Re: Doom and linux - brightness (Andrew Robert Ellsworth)
  Re: IP Addresses For Standalone LAN (H. Peter Anvin)
  Re: Yggdrasil Linux Plug and Play CD ver1.1 ? (Jeff Kesselman)
  Re: IP Addresses For Standalone LAN (David Fox)
  Re: Free Linux CD's (Marc Berkowitz)
  Re: Damn X-aware xterms!!! (Ernest Leuenberger)
  Sound Blaster Driver (chris)
  Re: How to use a host as a router - READ THIS (Jay Ashworth)
  Re: Emacs & latex for thesis (Beeblebrox)
  SRI/Prentice Hall Internet CD: missing source (Bradley Yearwood)
  Re: X-windows and Number 9 card (Ron Patterson)
  DOSEMU? Where to get it? (Bob Collie)
  Printing on Laserjets (was Re: Linux Flame Bait) (Pete Chown)
  Re: Linux on Pentium P90 PCI---which motherboard? (David S. Vickers)
  Re: AVI/QT programs? (Mike Castle)
  Re: Copyright and licensing - a plea to software authors ("Theodore Ts'o")
  Re: Linux on Pentium P90 PCI---which motherboard? (Eric J. Bohm)
  Re: Where is Mosaic for Term? (Jan Wissing)

----------------------------------------------------------------------------

From: [email-masked] (Andrew Robert Ellsworth)
Subject: Re: Doom and linux - brightness
Date: 20 Sep 1994 11:57:07 -0500

>at -2 on the pixel enhance: well a bit slow. But The window of the game is
>darker than it should be. The clip that plays when you exec Doom and before
>you make your game selection is fine, but when I actually start playing, the
>screen is darker than it should be. I only have a CLGD5424 onmboard accel

In DOOM, press F11.  This cycles through 4 levels of gamma correction, and will
almost certainly solve your problem.

Andy Ellsworth
[email-masked]

(INSERT CREATIVE FOOTER HERE)

------------------------------

From: [email-masked] (H. Peter Anvin)
Subject: Re: IP Addresses For Standalone LAN
Reply-To: [email-masked] (H. Peter Anvin)
Date: Sat, 24 Sep 1994 22:09:35 GMT

Followup to:  <[email-masked]>
By author:    [email-masked] (Benjamin John Walter)
In newsgroup: comp.os.linux.misc
>
> : Are there IP addresses set aside for standalone LANs?  Where are they 
> : documented?
> 
> Okay, I have two suggestions... In ``TCP/IP Network Administration''
> by ORA, it says that the address with a first byte "Greater than 223,
> indicates the address is reserved.  We can ignore these reserved
> addresses".  You shouldn't find people using those addresses on the
> Internet, so I guess you could use address then 224.0.0.x for your own
> LAN.
> 

BAD idea.  These addresses are used for multicasting ONLY.  It will
not work properly.

Use class A network # 10, or class C network # 192.0.2.  Both are
reserved for local use.

        /hpa
-- 
INTERNET: [email-masked]             --- Allah'u'abha ---
IBM MAIL: I0050052 at IBMMAIL     HAM RADIO:   N9ITP or SM4TKN
FIDONET:  1:115/511 or 1:115/512  STORMNET:    181:294/1 or 181:294/101
Laughter is the best medicine -- Quayle in '94.

------------------------------

From: [email-masked] (Jeff Kesselman)
Subject: Re: Yggdrasil Linux Plug and Play CD ver1.1 ?
Date: Sat, 24 Sep 1994 22:02:20 GMT

In article <[email-masked]>, Erik Ratcliffe <[email-masked]> wrote:
>Guy Bobenrieth ([email-masked]) wrote:
>: I'm looking for informations about this CD ans its quality
>: Thanks for sending them to me : contains, installation, ...
>
>       I bought the Summer 1994 edition of "Plug-and-Play" and used it for
>a few months (I have since bought a 420 meg hard drive and don't need the CD
>stuff anymore).  I think it's an alright setup, but it's slow (at least on
>my double speed CDROM drive) and it can't seem to install packages from the
>control panel in X-Windows like it says it can.  I don't know why this is; I
>just never had any luck making it work.

I did instalaltion from the X panel jsut fine under Summer 1994.  did you 
log in as root?

>
>       Also, the hard drive installation options are quite limited.  The
>Summer 1994 edition offered three options:

This is outdated information.  The fall94 release (just announced in the 
.announce section) has a more SCO type install where it does a base 
installation (10 meg) automaticly and then lets you select individual 
'packages'.  I can't talk abotu the X-based installer in Fall94 because 
they now include a command-line basesd install_package command that  I 
MUCH prefer.  (A good deal faster and easier to use on my limietd hardare.)
 
> >      The programs that are included on this CD pretty much cover
>everything you'd need for a solid Linux system: X-Windows (along with a slew
>of graphic editors, games, graphic file viewers, multimedia mail, on and
>on), emacs, TeX, Ghostscript, gcc, communication software (minicom, xc,
>rz/sz, seyon, kermit), mail readers (elm, pine, mail, smail/rmail),
>newsreaders (tin, nn), UUCP stuff, TCP/IP networking stuff, ftp, gopher,
>yadda yadda yadda...  You name it, it's there.  If only there were options
>to install by package instead of the above CD dependencies...  The
>distribution could use a bit of work.

Well, your prayers have already been answered (see above.)

>
>       But for systems that only have about 40 megs to dedicate to Linux,
>the Plug-and-Play CD is a fairly good option.  It needs some tweaking, but
>it gives you access to programs that you would otherwise not have access to
>without lots of hard drive space.  Hell, it's only about $25...
>

Well, $34.95 list, really.

I've been very pleased with it. Even though i haven't installed a lot of 
stuff, having it their on CD-ROM for when  I DO need it is very handy.

The Fall94 also has a trick that at the moment I believe is special to 
yygdrasil, though they've sent it to Linus for general inclusion.  Thsi 
is the ability to 'thunk' calls to the 16bit MS_DOS CD-ROM and hard disk 
interface.  This makes it possible to use devies other then those 
supported directly by drivers.  (Don't ask me about performance as I 
haven't used it...)

 Jeff kesselman 

------------------------------

From: [email-masked] (David Fox)
Subject: Re: IP Addresses For Standalone LAN
Date: 24 Sep 1994 21:06:47 GMT

In article <[email-masked]> [email-masked] (Lam Dang) writes:

] Are there IP addresses set aside for standalone LANs?  Where are they 
] documented?

See the question "I want to build my own standalone network, what
addresses to I use?" in the NET-2-HOWTO.
--
David Fox                                               xoF divaD
NYU Media Research Lab                     baL hcraeseR aideM UYN

------------------------------

From: [email-masked] (Marc Berkowitz)
Subject: Re: Free Linux CD's
Date: Fri, 23 Sep 1994 00:31:57 GMT

Can you please post your street address?

-- 
Marc Berkowitz                  [email-masked]       1-510-645-3433
TRW Financial Systems, Inc.     300 Lakeside Dr, Oakland, Cal 94612-3540

------------------------------

From: [email-masked] (Ernest Leuenberger)
Subject: Re: Damn X-aware xterms!!!
Date: 23 Sep 1994 11:52:03 GMT
Reply-To: [email-masked]

In article <[email-masked]>, [email-masked] (DAVID L. JOHNSON) writes:
|> In article <[email-masked]>, [email-masked] (Sean Gilley) writes:
|> >In article <baba.780217027@ph-meter>,
|> >Baba Buehler <[email-masked]> wrote:
|> >>[email-masked] (Alex Ramos) writes:
|> [snip]
|> 
|> >Nope.  I've noticed this myself.  If you have two Xterm windows up, and
|> >highlight text in the first, then *click* on the second, you no longer
|> >have text selected for cut and paste.
|> >
|> >Anyone know how to fix this?
|> >
|> Huh?  Are you sure it's not still in the buffer?  Why do you click on the other
|> term  -- and with which button?  It may not still be highlighted, if say you 
|> type in an xterm, but you can still paste.  At least I can.
I have the same problem and I also have it at work on my Sparc. I think it's
related to the window manager (I run olvwm on both systems). As for why you
click on the other window... you may want to raise it before you do the paste.
On a 14" monitor it's usual that you don't see all of the two windows at once.

Ernest.
|> 
|> >Sean.
|> >
|> >---
|> >Sean L. Gilley                           The Information Super Highway is
|> >[email-masked]                    really just a rough gravel road with
|> >614 860 9053 (h), 614 860 5743 (w)       wonderful roadsigns.
|> 
|> -- 
|> 
|> David L. Johnson                     [email-masked] or 
|> Department of Mathematics            [email-masked]
|> Lehigh University
|> 14 E. Packer Avenue                  (610) 758-3759
|> Bethlehem, PA 18015-3174             (610) 828-3708

------------------------------

From: [email-masked] (chris)
Subject: Sound Blaster Driver
Date: Fri, 23 Sep 1994 12:07:27 GMT

  Hiya,

  A quick question, I have a creative labs Sound Blaster Pro 16 w/
  SCSI II adapter along with a Sony 541 CD-ROM.  I can't get the
  sbpcd driver to work with my kernel, any help would be appreciated...

  Chris

  email: [email-masked]

------------------------------

From: [email-masked] (Jay Ashworth)
Crossposted-To: comp.os.linux.development,comp.os.linux.admin
Subject: Re: How to use a host as a router - READ THIS
Date: 22 Sep 1994 21:28:49 -0400

[email-masked] (Ian McCloghrie) writes:
>This is common practice (and, in fact, required by many TCP/IP protocl
>stacks).  Whether or not it is "correct" is unclear.  It's quite
>possible to implement routing using the same IP address on two
>interfaces, if one of them is a point-to-point link (namely,
>a slip line).  The idea of every physical network having its own
>IP network is ideologically pure.  Ideological purity, while clean
>and elegant, is often discarded in favour of optimizations.  Given
>the current state of the IP address space, it could easily be argued
>that wasting an entire network on a 2-host point-to-point slip line
>is incorrect behaviour :)

True.  But you'll note I didn't say anything about where those 2 addresses
need to reside.  Common sense would seem to suggest putting your
"router's" PPP port on your host's net, and it's ether on your own, and in
fact, this works.  At worst, external incoming connections will get aimed
at your ether IP number, but you don'e lost a _whole_ there...

Cheers,
-- jra
-- 
Jay R. Ashworth                                                       Ashworth
Designer              High Technology Systems Consulting          & Associates
ka1fjx/4                                                
[email-masked]      Linux: The Choice of a GNU Generation     +1 813 790 7592

------------------------------

From: [email-masked] (Beeblebrox)
Subject: Re: Emacs & latex for thesis
Date: Sat, 24 Sep 1994 22:25:55 GMT

[email-masked] (Cornelius Krasel) writes:

>: [quoting somebody else]
>:    The real question is: Why would you want to write a THESIS on emax and 
>:    latex?
>: [end of quote]

>Easy: because I write my thesis faster with emacs and LaTeX than with MS-Word
>or whatever you may think of.

Quite right too.  I can't think of anything _better_ suited to this task than
LaTeX.
---
   [email-masked]              [email-masked]
             "I follow your steps in snow, the traces disappear.
     We know what we've lost when it's gone, I'm wishing you were here."

------------------------------

From: [email-masked] (Bradley Yearwood)
Crossposted-To: gnu.misc.discuss
Subject: SRI/Prentice Hall Internet CD: missing source
Date: 24 Sep 1994 18:41:26 -0700

I recently purchased a copy of the book and CD-ROM "Internet CD", by
Vivian Neou at SRI International, published by Prentice Hall.  On the
CD is a Slackware Linux distribution.  Source code for the Linux kernel
appears to be included, but source code for most of the GNU utilities
(which are provided in executable form) is absent.  Though the book contains
several order forms in the back for various pieces of software, I see
nowhere in the book an acknowledgement of FSF copyright, nor any offer to
provide source code for the GNU material.  Some COPYING files are embedded
within gzip'd tar files, but I see nothing that makes an obvious and specific
offer to provide source code.

Forgive me if this has already been brought up.

Brad Yearwood   [email-masked]
Rohnert Park, CA

------------------------------

From: [email-masked] (Ron Patterson)
Subject: Re: X-windows and Number 9 card
Date: 23 Sep 1994 01:23:23 GMT

>Is anyone running
>X-Windows, Linux and a #9 GXE card (Ours is a GXE 64 pro).  I would like

I am using a #9 GXE Pro (PCI)  on a Pentium 90 also.  I bought a driver from
X Inside  ( e-mail [email-masked]) called  Accelerated X and I am very happy
 with it.  I wanted the fastest X driver I could find however, and was willing to 
pay for it.  The X server and configuration utilities cost about $200.  It is a very 
high preformance driver tuned to the video card and is a joy to work with.  The
product supports resolutions from 640x480 up to 1600x1200 and colors from
16-16 million (depending on VRAM ).  Virtual Desktops are also supported.  I
realize that at $200 it will not be for everyone though.

===================================================================================================
Ron Patterson
Dept. of Soil Science
University of Idaho
[email-masked]
[email-masked] 

------------------------------

From: [email-masked] (Bob Collie)
Subject: DOSEMU? Where to get it?
Date: 24 Sep 1994 23:02:31 GMT

Hello!

I have been reading about DOSEMU -- and I would like to find it.  Where 
is the best place?  (please specify site and directory)
I have searched my HDD and have not found it.

Bob Collie
[email-masked]

------------------------------

From: [email-masked] (Pete Chown)
Subject: Printing on Laserjets (was Re: Linux Flame Bait)
Date: Sat, 24 Sep 1994 21:20:45 GMT

In article <[email-masked]> [email-masked] (Jon Nash) writes:

>I still use DOS/Windoze on a daily basis, just because I can't get Linux to
>print on my HP Laserjet III.

I've set up ghostscript to drive my Laserjet 4L.  So to print from
LaTeX, I use the following Makefile to generate Postscript:

=============================
%.dvi:  %.tex
        latex $<

%.ps:   %.dvi
        dvips -D 300 -f -q -t a4 < $< > $*.ps

%.pv:   FORCE
        @make $*.ps
        ghostview $*.ps

FORCE:

=============================

This generates Postscript for A4 paper - I guess you will want
something different in America.

Then I print the Postscript by saying:

lpr -Pps <filename>

This Postscript is then converted to Laserjet format by lpd.  The
following /etc/printcap file causes files submitted to the printer
'ps' to be removed from the queue, converted to HP format and
resubmitted to the printer 'lj'.

=============================
# Entry for raw device ljet4.raw
lj|ljet|ljet4.raw|HP LaserJet 4L:\
    :lp=/dev/lp1:\
    :sd=/var/spool/ljet4/raw:\
    :tf=/etc/printtext:\
    :mx#0:sf:sh:rs:

# Entry for device ljet4 (output to ljet4.raw)
ps|postscript|Ghostscript device ljet4:\
    :lp=/dev/null:\
    :sd=/var/spool/ljet4:\
    :lf=/var/spool/ljet4/logfile:\
    :af=/var/spool/ljet4/acct:\
    :if=/etc/printps:\
    :df=/etc/printdvi:\
    :mx#0:sf:sh:rs:
=============================

Finally, you need two files, /etc/printps:

=============================
#!/bin/sh

gs -q -sDEVICE=ljet4 -r300x300 -dNOPAUSE -sOutputFile=- -sPAPERSIZE=a4 - | lpr -Plj
=============================

and /etc/printdvi.  This is used if you say lpr -d -Pps <filename>,
but this is not normally useful because then your virtual fonts will
not come out.

=============================
#!/bin/sh

dvips -D 300 -f -q -t a4 | gs -q -sDEVICE=ljet4 -r300x300 -dNOPAUSE -sOutputFile=- -sPAPERSIZE=a4 - | lpr -Plj
=============================

Easy isn't it?  :-)

(It took me ages to get this to work, BTW.)

------------------------------

From: [email-masked] (David S. Vickers)
Crossposted-To: comp.os.linux.development
Subject: Re: Linux on Pentium P90 PCI---which motherboard?
Date: 25 Sep 1994 01:44:15 GMT

[email-masked] (Vaughan R. Pratt) writes:
>If Linux runs on your Pentium P90 PCI, or you know of a working such,
>I'd appreciate knowing what motherboard did the trick.
>-- 
>Vaughan Pratt                  http://boole.stanford.edu/boole.html

I recently built a system for someone with an Intel Plato P54C
motherboard which used the Neptune chipset.  I used an NCR SCSI
controler with a patched kernel (version 1.1.19).  The first
motherboard I got had a flakey cache, and upgrading the BIOS didn't
help.  I replaced the motherboard, and everything has worked
flawlessly since.  

-David Vickers

------------------------------

From: [email-masked] (Mike Castle)
Subject: Re: AVI/QT programs?
Date: Sat, 24 Sep 1994 18:51:04 GMT

In article <[email-masked]>, Bob <[email-masked]> wrote:
>i read somewhere that there are AVI and Quicktime viewers for Xwindows.  have
>any of them been ported to XFree?  if so, where are they?  if not, does anyone
>know where any of the non-ported programs are located?

The program is xanim.  I've seen mention of someone doing a port
with sound support and everything (was mostly doing work on the
sound, animation works fine I believe).  I suppose checking the
usual places (ie, sunsite.unc.edu and tsx-11.mit.edu) should turn
something up.

If not, check on ftp.x.org.  Don't remember the exact dir, but
it's fairly obvious.

mrc
-- 
Mike Castle .-=NEXUS=-.  Life is like a clock:  You can work constantly
  [email-masked]     and be right all the time, or not work at all
   [email-masked]       and be right at least twice a day.  -- mrc
    We are all of us living in the shadow of Manhattan.  -- Watchmen

------------------------------

From: "Theodore Ts'o" <[email-masked]>
Subject: Re: Copyright and licensing - a plea to software authors
Date: 24 Sep 1994 22:53:02 -0400
Reply-To: [email-masked]

   From: [email-masked] (Russell Nelson)
   Crossposted-To: gnu.misc.discuss
   Date: 16 Sep 1994 15:41:31 GMT

   I don't think you understand Ted.  At least, that is all I can assume
   from your paragraph above.  There *is* a difference.  If someone
   invents an interface between two packages, for example taking a piece
   of GPL'ed code and making it into a subroutine package, then letting
   the user link that code into a program, THAT violates the GPL.

   The whole issue, to me, depends on whether or not the interface is
   created solely to work around the GPL, or if it was created for other
   purposes.  If this distinction is not made, if, say, the GPL must
   apply to any code that dynamically links into GPL'ed code, then
   GPL'ing code becomes much less attractive.  For example, my GPL'ed packet
   drivers dynamically link into the MS-DOS kernel.  Obviously the GPL
   cannot be made to apply to MS-DOS, so I would not be able to use the
   GPL on my code.

   If, on the other hand, anyone may create a dynamic link to a GPL
   package, voiding the GPL, even if the dynamic link was ONLY created to
   avoid the GPL, then the GPL has little force, and one may as well put
   code into the public domain.

This is precisely the hypocrisy that I'm complaining about.  It seems to
me that you (and the FSF) want to have it both ways.  Well, I'm sorry,
but if PGP and gmp are considered "one program", then your drivers and
MS-DOS must also be considered "one program".  You can't have it both
ways.

It seems to me that people are making a distinction as a convenient way
to control the outcome of how they want things to come out.  If they
want it to be allowed, then "obviously" the GPL cannot be made to apply
to MS-DOS.  But if they don't, then "obviously" the GPL must apply.
Sorry, but the legal system doesn't work that way.

Another example --- suppose I write a program that uses dbm; it can
potentially be linked against gdbm.  Hence, by your reasoning, my
program must fall under the GPL!  But perhaps the fact that there is a
non-GPL library is enough to make it O.K.  Alright, I'll write a slow,
stub library which implements the gmp interface.  Then PGP must be OK!
A stub library isn't enough?  Alright, I'll write a library which
implements the gmp interface but calls a slower package as its back-end.
Now is that OK?  I'm sure the FSF would find some reason why that
wouldn't be OK, since they dislike PGP so much.

The point at which something becomes OK by the FSF's "definition" is
purely arbitrary, which is what I dislike.  There is an entirely
separate question which is whether or not the FSF interpretation would
possibly even hold water in a court of law, or whether the FSF would be
laughed out of court.  Short of a test case actually coming before a
court, we won't know for certain the answer to this.

But even if the FSF interpretation is legally airtight, the fact that it
is arbitrary and depends on what is situationally convenient disturbs
me.  Fortunately, as long as you and I, the authors, own the copyright
on the code, and not the FSF, this trumps the entire issue.  This is why
I suggest that authors think twice before donating the ownership of
their code to the FSF.

                                                        - Ted

------------------------------

Crossposted-To: comp.os.linux.development
From: [email-masked] (Eric J. Bohm)
Subject: Re: Linux on Pentium P90 PCI---which motherboard?
Date: Sat, 24 Sep 1994 09:13:06 GMT

In article <[email-masked]>,
Vaughan R. Pratt <[email-masked]> wrote:
>If Linux runs on your Pentium P90 PCI, or you know of a working such,
>I'd appreciate knowing what motherboard did the trick.
>-- 
>Vaughan Pratt                  http://boole.stanford.edu/boole.html

Zenon Z-Optimus II 
============================================================================
P90 PCI ISA W/256K Cache
SQ545 Motherboard: 2 ISA/VESA, 2 ISA closts, one XT/PCI shared slot
        and two PCI slots, AT I/O (2S,1P) Built-in 16550
        72 Pin parity or non-parity memory 128 MB max

Using kernel 1.1.50 with patches for the NCR53c810 and Mach64 stuff.  Works
great.  No tricks necessary.

------------------------------

From: [email-masked] (Jan Wissing)
Subject: Re: Where is Mosaic for Term?
Date: 24 Sep 1994 22:28:00 +0200

In article <[email-masked]>,
Travis L. Cobbs <[email-masked]> wrote:

t> references to people using Mosaic for Term, but I haven't seen anyone say
t> where it can be found.  Where is it locate?  (Preferably via FTP.)

Just take a look on famous sunsite.unc.edu. It's somewhere down the Linux/ 
System/Network/Infosystems tree. Mosaic-2.4-term.tar.gz what's or ever.

Bis dann
Jan
--
And now that we all feel better let's do what we like.

------------------------------

** FOR YOUR REFERENCE **

The service address, to which questions about the list itself and requests
to be added to or deleted from it should be directed, is:

    Internet: [email-masked]

You can send mail to the entire list (and comp.os.linux.misc) via:

    Internet: [email-masked]

Linux may be obtained via one of these FTP sites:
    nic.funet.fi				pub/OS/Linux
    tsx-11.mit.edu				pub/linux
    sunsite.unc.edu				pub/Linux

End of Linux-Misc Digest
******************************